Subject: [bug#31436] [PATCH 0/6] gnu: Add opencl related packages.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 25 Jun 2018 22:22:05 +0200

Hello Fis!

Fis Trivial <[email-masked]> skribis:

> These patches add basic support for opencl. As noted in the new file
> opencl.scm, tests can't enabled by now. For the future, maybe we can
> patch the build system to make test targets installable so that people
> with right tools can help testing. Or maybe there are some other ways
> that we can modify the build environment for testing. But that's another
> day's problem. :)
>
> Although testing with packages' unit tests are not enabled. I tried to
> test them outside the store by simple hello world program, they works
> fine on my hardware.
>
> To make thing a little comfortable, I packaged clinfo, which is a little
> tool for displaying OpenCL platforms and device information by calling
> OpenCL host functions. If it works on your device, then at least you can
> confirm the corresponding implementation is not completely broken.
>
> Environment variable `OPENCL_VENDOR_PATH` is used to guide `ocl-icd`
> loading needed OpenCL implementation library. You need to source it in
> your profile before you try to use any of the implementation.
>
> I wrapped clinfo, notes are put in the package definition.
>
>
> fis (6):
>   gnu: Add opencl-headers.
>   gnu: Add opencl-clhpp.
>   gnu: Add ocl-icd.
>   gnu: Add beignet.
>   gnu: Add clinfo.
>   gnu: Add pocl.

I finally applied the first two patches.

Could you remind me what the blocker is for the subsequent patches?  I
know we discussed it but I couldn’t find the details.

Thanks, and sorry for the delay!

Ludo’.